Subject: Re: Does your freezer contain usable stem cells?

From: Ronnie Falcao <[email-masked]>
Date: Fri, 12 Aug 2005 07:37:48 -0700

Hi, David,

I think David Gallivan's original humanist talk had a little
blurb saying something like "Are there stem cells in your refrigerator?"
Little did he know!

I thought I e-mailed you something about this when it first
came out.  It's an exciting biological basis for leaving the
umbilical cord connected longer after birth if there's a
possibility that these cells are migrating into the baby
and working to repair any damage from the stresses of
birth.  I hope time will tell.

Thank you again for taking such good care of Ketzel during
my absence.  She seems very happy and healthy, and it was
so nice for me to be able to relax and not worry about her
during my absence.

Thanks,
Ronnie

At 12:36 AM 8/12/2005, you wrote:
>Dear Ronnie,
>
>Wow, these developments are hard to keep up with!  You may understand this article more than I do.
>
>Love,
>
>  - David
>
>----------------------------------------------------------------
>
>Potential stem cell source found in placentas
>
>Scientists seeking less controversial alternative to human embryos